﻿.td-ib-image-text p {
    position: absolute;
    bottom: 4px;
    left: 10px;
    color: #000;
    text-overflow: ellipsis;
    font-family: 'Inter', sans-serif;
    font-size: 10px;
    font-style: normal;
    background: white;
    font-weight: 600;
    line-height: normal;
    letter-spacing: 1.28px;
    cursor: pointer;
    padding: 5px 10px;
    border-radius: 8px;
}


/* Overlay */
.td-ontaask-desc-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease;
    z-index: 998;
}

/* Modal */
.td-ontaask-desc-modal {
    position: fixed;
    top: 0;
    right: -100%;
    width: 400px;
    height: 100%;
    background-color: #ffffff;
    z-index: 1001;
    transition: right 0.4s cubic-bezier(0.16, 1, 0.3, 1);
    background-color: #fff;
    box-shadow: -2px 0 10px rgba(0, 0, 0, 0.3);
    overflow-y: auto;
}

    .td-ontaask-desc-modal.open {
        right: 0;
    }

.td-ontaask-desc-overlay.active {
    opacity: 1;
    visibility: visible;
}

.td-ontaask-desc-close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
    color: #333;
}

.td-ontaask-desc-content {
    font-family: 'Inter', sans-serif;
}
.ib-detail-banner {
    height: 200px;
    background-size: cover;
    background-position: center;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.ib-banner-top-text {
    padding: 8px 19px;
    background: #FFF;
    color: #333;
    font-weight: 600;
    align-self: flex-start;
    margin: 15px;
    border-radius: 15px;
    gap: 0.5rem;
    display: flex;
    /* flex-direction: column; */
    align-items: center;
    text-align: center;
}
.ib-day-label {
    font-size: 12px;
    margin: 0;
    line-height: normal;
    color: #666;
}
.ib-day-number {
    font-size: 16px;
    font-weight: 700;
    margin: 0;
    line-height: 1.2;
}

.ib-day-divider {
    width: 1px;
    height: 35px;
    background-color: #ccc;
}
.ib-day-period {
    color: #414141;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -0.28px;
}
.ib-banner-bottom-text {
    padding: 10px 15px;
    background: rgba(41, 41, 41, 0.59);
    color: white;
    font-weight: 500;
    font-size: 14px;
    width: 100%;
    position: absolute;
    bottom: 0;
}
.ib-section-title {
    color: #3D70F2;
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin-top: 10px;
}
.ib-detail-content{
    padding:15px;
}
.inner-desc-all-main {
    margin-top:0.5rem !important;
}
.act-pack-name {
    font-size: 22px;
    font-weight: 600;
    margin: 0;
}
.all-act-part-new{
    width:70%;
}
.activity-details-box p {
    margin: 0;
    color: #005BFF;
    font-family: Inter;
    font-family: 'Inter', sans-serif;
    font-size: 12px;
    font-style: normal;
    margin-top: 0.5rem;
    font-weight: 600;
    cursor:pointer;
    line-height: normal;
}
.on-dec-back-btn {
    padding: 8px 16px;
    background: #fff;
    border: none;
    color: #333;
    gap:0.3rem;
    position: absolute;
    cursor: pointer;
    font-size: 14px;
    border-radius:10px;
    right: 0;
    top:1rem;
}

    .on-dec-back-btn:hover {
        color: #666;
    }

.extremen-on-ib-detail-banner {
    height: 200px;
    background-size: cover;
    background-position: center;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.extremen-on-ib-banner-top-text {
    padding: 8px 19px;
    background: #FFF;
    color: #333;
    font-weight: 600;
    align-self: flex-start;
    margin: 15px;
    border-radius: 11px;
    gap: 0.5rem;
    display: flex;
    align-items: center;
    text-align: center;
}

.extremen-on-ib-day-label {
    font-size: 12px;
    margin: 0;
    line-height: normal;
    color: #666;
}

.extremen-on-ib-day-number {
    font-size: 16px;
    font-weight: 700;
    margin: 0;
    line-height: 1.2;
}

.extremen-on-ib-day-period {
    color: #414141;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin:0;
    letter-spacing: -0.28px;
}

.extremen-on-ib-day-divider {
    width: 1px;
    height: 35px;
    background-color: #ccc;
}

.extremen-on-ib-banner-bottom-text {
    padding: 15px 15px;
    background: rgba(41, 41, 41, 0.59);
    color: white;
    font-weight: 500;
    font-size: 14px;
    width: 100%;
    position: absolute;
    bottom: 0;
}

.extremen-on-act-pack-name {
    margin: 0;
    font-size: 22px;
}
.extremen-new-ibb-sub-part-bot-first{
    margin-top:1rem;
}
.extremen-new-ibb-sub-part-bot-first p {
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: -0.36px;
    margin: 0;
}

.extremen-new-ibb-sub-part-bot-first span {
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    letter-spacing: -0.36px;
    margin: 0;
}
.extremen-new-ib-section-title {
    color: #3D70F2;
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin-top: 10px;
}


.unique-add-activity-button {
    background-color: royalblue;
    color: white;
    border: none;
    padding: 7px 28px;
    font-size: 14px;
    border-radius: 25px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 12px;
    font-weight: 600;
    transition: background-color 0.3s ease;
}

    .unique-add-activity-button:hover {
        background-color: #2a4db3; /* darker royal blue on hover */
    }

.extremen-new-inner-desc-all-main{
    margin-top:0.5rem !important;
}
